<?php
namespace App\Enums;
enum TransactionStatus: string
{
    case NOT_PAID = 'not paid';
    case INITIATED = 'initiated';
    case PENDING = 'pending';
    case FAILED = 'failed';
    case DECLINED = 'declined';
    case CANCELLED = 'cancelled';
    case HOLD = 'held';
    case CONFIRMED = 'confirmed';
    case APPROVED = 'approved';
    case COMPLETED = 'completed';
    case REVERSED = 'reversed';
    case UNDER_REVIEW = 'under review';
    case PROCESSING = 'processing';
}
